# babel-plugin-resolve-import [![tnpm](http://npm.taobao.org/badge/v/babel-plugin-resolve-import.svg?style=flat-square)](http://npm.taobao.org/package/babel-plugin-resolve-import) [![JavaScript Style Guide](https://img.shields.io/badge/code%20style-standard-brightgreen.svg)](http://standardjs.com/)

## 项目地址

[https://coding.net/u/ncbql/p/babel-plugin-resolve-import/git](https://coding.net/u/ncbql/p/babel-plugin-resolve-import/git)

## 转码例子

### 源代码:

```js
import './img.png'
import style from './index.less'

const style = require('./button.css')
```

### 转码后:

实际中 `D:\\node` 为当前路径

```js
import 'D:\\node\\img.png'
import style from 'D:\\node\\index.less'

const style = require('D:\\node\\button.css')
```

## 安装模块

```bash
npm install --save-dev babel-plugin-resolve-import
```

## 使用方法

### Babel配置文件 (.babelrc)

```json
{
  "plugins": [
    [
      "resolve-import",
      {
        "root": "根目录地址, 默认为当前目录",
        "test": "/build", // 被替换掉的路径
        "exts": [".css", ".less", ".scss", ".png", ".jpg", ".jpeg", ".gif", ".bmp", ".svg", ".webp", ".ico"] // 被替换的文件类型
      }
    ]
  ]
}
```

#### Babel命令行 (babel-cli)

```bash
babel index.js --plugins resolve-import 
```

#### Babel Node.js API

```js
require('babel-core').transform('code', {
  plugins: ['resolve-import']
})
```

## 协议

MIT
